dpkg-buildapi(1)

NAMN
dpkg-buildapi - returnerar bygg-API-nivå att använda för att bygga paket

SYNOPS
dpkg-buildapi [flagga...] kommando

BESKRIVNING
dpkg-buildapi är ett verktyg för att hämta dpkg-build-api(7)-nivå att använda för att bygga Debianpaket.

Kommandot introducerades i dpkg 1.22.0.

KOMMANDON

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

-ccontrol-fil
    Anger huvudkällkodsstyrfilen som information ska läsas från. Standardvärdet är debian/control.

MILJÖVARIABLER

DPKG_BUILD_API
    Bygg-API-nivån att använda. Den här är tänkt att användas internt av verktyg som körs från debian/rules för att undvika att tolka debian/Control flera gånger, inte att sätta den globala bygg-API-nivån från debian/rules, eftersom byggdrivare (så som dpkg-buildpackage(1)) annars inte kan nå den.

DPKG_COLORS
    Väljer färgläge. För närvarande godtas följande värden: auto (förval), always och never.

DPKG_NLS
    Om satt, används för att bestämma om lokalt språkstöd ska aktiveras, även känt som internationaliseringsstöd (eller i18n). Tillåtna värden är: 0 och 1 (förval).

FILER

  Paketeringsstöd

/usr/pkg/share/dpkg/buildapi.mk
    Makefil-klipp som tolkar bygg-API-nivån till en variabel.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.